/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRATO                                                    */
/* Tabela : PRATO                                                             */
/*                                                                            */
/* Criao:                                                                   */
/* 16/03/2001 Raphael Freitas                                                 */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRATO
BEFORE INSERT OR UPDATE OR DELETE
ON PRATO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPRAT := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRATO,     '') <> NVL(:NEW.CDPRATO,     '')) OR
         (NVL(:OLD.NMPRATO,     '') <> NVL(:NEW.NMPRATO,     '')) OR
         (NVL(:OLD.CDFILAUXPRAT,'') <> NVL(:NEW.CDFILAUXPRAT,'')) OR
         (NVL(:OLD.CDNVPRATO,   '') <> NVL(:NEW.CDNVPRATO,   '')) OR
         (NVL(:OLD.SGUNIDADE,   '') <> NVL(:NEW.SGUNIDADE,   '')) THEN
         :NEW.DTULTATUPRAT := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRATO', '', 'CDFILAUXPRAT='||:OLD.CDFILAUXPRAT||';CDPRATO='||:OLD.CDPRATO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRATO MODIFY DTULTATUPRAT DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PRATO','4.05.073'); END;
/

