/* Tabela CLIENFILIAL: TABELA DE CLIENTES POR FILIAL*/
/* Descrio: A trigger insere registros na tabela LOGOPERAVND a partir de alteraes na tabela CLIENFILIAL */
/* Objetivo: Gerar um log que vai registrar as alteraes na CLIENFILIAL,
             utilizando a tabela de Logs de Operaes do VND*/
IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_VND_CLIENFILIAL' AND
                 TYPE   = 'TR' 	               AND
	              U.UID  = O.UID           AND
	              U.NAME = USER)
DROP TRIGGER LOG_VND_CLIENFILIAL
GO


CREATE TRIGGER LOG_VND_CLIENFILIAL
ON CLIENFILIAL
FOR INSERT, UPDATE, DELETE
AS
  DECLARE @V_DSREMOTEADDR VARCHAR(15);
  DECLARE @V_DSREMOTEHOST VARCHAR(15);
  DECLARE @V_DSSERVERRDM  VARCHAR(20);
  DECLARE @V_DSSERVMETHOD VARCHAR(30);
  DECLARE @V_DSREMOTEOPER VARCHAR(12);
  DECLARE @V_DESC         VARCHAR(500);
  DECLARE @V_ITPESQ       VARCHAR(40);
  DECLARE @V_NMOPERADOR   VARCHAR(40);
  DECLARE @V_IDTIPOOPER   VARCHAR(1);

/*VARIVEIS DO CURSOR C_CURSOR*/

  DECLARE @V_ID_COMANDO    VARCHAR(1);

  DECLARE @V_NEW_CDCLIENTE		   varchar(21);
  DECLARE @V_NEW_CDFILIAL		   varchar(4);
  DECLARE @V_NEW_IDCLIENPRIN		varchar(1);
  DECLARE @V_NEW_IDUTILADIANT		varchar(1);
  DECLARE @V_NEW_VRPERATDESP		decimal(17);
  DECLARE @V_NEW_DTULTATUCLIF		datetime;
  DECLARE @V_NEW_CDPERIENTR		varchar(2);
  DECLARE @V_NEW_IDUTCONTCLPR		varchar(1);
  DECLARE @V_NEW_IDPERIODFATC		varchar(1);
  DECLARE @V_NEW_CDGRUPOFISC		varchar(3);
  DECLARE @V_NEW_DSTIPFATURCLIE	varchar(30);
  DECLARE @V_NEW_CDTIPFATURCLIE	varchar(30);
  DECLARE @V_NEW_DTVENCFORMCLIE	datetime;
  DECLARE @V_NEW_IDUTGPFISCSV		varchar(1);
  DECLARE @V_NEW_CDTABEPREC	   varchar(3);
  DECLARE @V_NEW_CDCFILTABPRE   	varchar(4);
  DECLARE @V_NEW_IDPERMVENDAFOS	varchar(1);
  DECLARE @V_NEW_IDCOREFECLIFILI	varchar(1);
  DECLARE @V_NEW_IDCONSMINEFECLI	varchar(1);
  DECLARE @V_NEW_DSEMAILDANFEBOL	varchar(4000);

  DECLARE @V_OLD_CDCLIENTE		   varchar(21);
  DECLARE @V_OLD_CDFILIAL		   varchar(4);
  DECLARE @V_OLD_IDCLIENPRIN		varchar(1);
  DECLARE @V_OLD_IDUTILADIANT		varchar(1);
  DECLARE @V_OLD_VRPERATDESP		decimal(17);
  DECLARE @V_OLD_DTULTATUCLIF		datetime;
  DECLARE @V_OLD_CDPERIENTR		varchar(2);
  DECLARE @V_OLD_IDUTCONTCLPR		varchar(1);
  DECLARE @V_OLD_IDPERIODFATC		varchar(1);
  DECLARE @V_OLD_CDGRUPOFISC		varchar(3);
  DECLARE @V_OLD_DSTIPFATURCLIE	varchar(30);
  DECLARE @V_OLD_CDTIPFATURCLIE	varchar(30);
  DECLARE @V_OLD_DTVENCFORMCLIE	datetime;
  DECLARE @V_OLD_IDUTGPFISCSV		varchar(1);
  DECLARE @V_OLD_CDTABEPREC	   varchar(3);
  DECLARE @V_OLD_CDCFILTABPRE   	varchar(4);
  DECLARE @V_OLD_IDPERMVENDAFOS	varchar(1);
  DECLARE @V_OLD_IDCOREFECLIFILI	varchar(1);
  DECLARE @V_OLD_IDCONSMINEFECLI	varchar(1);
  DECLARE @V_OLD_DSEMAILDANFEBOL	varchar(4000);

BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/

   SET @V_DESC   = '';
   SET @V_ITPESQ     = '';
   SET @V_NMOPERADOR = '';
   SET @V_IDTIPOOPER = '';

   EXEC NMUSUARIO @P_NMUSUARIO = @V_NMOPERADOR OUTPUT;
   SET @V_NMOPERADOR = ISNULL(@V_NMOPERADOR, ' ');

   EXEC WEBTUNNING  @P_DSREMOTEADDR = @V_DSREMOTEADDR OUTPUT,
                    @P_DSREMOTEHOST = @V_DSREMOTEHOST OUTPUT,
                    @P_DSSERVERRDM  = @V_DSSERVERRDM OUTPUT,
                    @P_DSSERVMETHOD = @V_DSSERVMETHOD OUTPUT,
                    @P_DSREMOTEOPER = @V_DSREMOTEOPER OUTPUT;

   DECLARE C_CURSOR CURSOR FOR
     SELECT
     'D'   ID_COMANDO,
           NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,
           DELETED.CDCLIENTE,
           DELETED.CDFILIAL,
           DELETED.IDCLIENPRIN,
           DELETED.IDUTILADIANT,
           DELETED.VRPERATDESP,
           DELETED.DTULTATUCLIF,
           DELETED.CDPERIENTR,
           DELETED.IDUTCONTCLPR,
           DELETED.IDPERIODFATC,
           DELETED.CDGRUPOFISC,
           DELETED.DSTIPFATURCLIE,
           DELETED.CDTIPFATURCLIE,
           DELETED.DTVENCFORMCLIE,
           DELETED.IDUTGPFISCSV,
           DELETED.CDTABEPREC,
           DELETED.CDCFILTABPRE,
           DELETED.IDPERMVENDAFOS,
           DELETED.IDCOREFECLIFILI,
           DELETED.IDCONSMINEFECLI,
           DELETED.DSEMAILDANFEBOL

     FROM
           DELETED
     WHERE     
           DELETED.CDCLIENTE + DELETED.CDFILIAL NOT IN (SELECT CDCLIENTE + CDFILIAL FROM INSERTED)
     UNION ALL

     SELECT
     'U'   IDCOMANDO,
           INSERTED.CDCLIENTE,
           INSERTED.CDFILIAL,
           INSERTED.IDCLIENPRIN,
           INSERTED.IDUTILADIANT,
           INSERTED.VRPERATDESP,
           INSERTED.DTULTATUCLIF,
           INSERTED.CDPERIENTR,
           INSERTED.IDUTCONTCLPR,
           INSERTED.IDPERIODFATC,
           INSERTED.CDGRUPOFISC,
           INSERTED.DSTIPFATURCLIE,
           INSERTED.CDTIPFATURCLIE,
           INSERTED.DTVENCFORMCLIE,
           INSERTED.IDUTGPFISCSV,
           INSERTED.CDTABEPREC,
           INSERTED.CDCFILTABPRE,
           INSERTED.IDPERMVENDAFOS,
           INSERTED.IDCOREFECLIFILI,
           INSERTED.IDCONSMINEFECLI,
           INSERTED.DSEMAILDANFEBOL,
           
           DELETED.CDCLIENTE,
           DELETED.CDFILIAL,
           DELETED.IDCLIENPRIN,
           DELETED.IDUTILADIANT,
           DELETED.VRPERATDESP,
           DELETED.DTULTATUCLIF,
           DELETED.CDPERIENTR,
           DELETED.IDUTCONTCLPR,
           DELETED.IDPERIODFATC,
           DELETED.CDGRUPOFISC,
           DELETED.DSTIPFATURCLIE,
           DELETED.CDTIPFATURCLIE,
           DELETED.DTVENCFORMCLIE,
           DELETED.IDUTGPFISCSV,
           DELETED.CDTABEPREC,
           DELETED.CDCFILTABPRE,
           DELETED.IDPERMVENDAFOS,
           DELETED.IDCOREFECLIFILI,
           DELETED.IDCONSMINEFECLI,
           DELETED.DSEMAILDANFEBOL

     FROM
           INSERTED,
           DELETED
     WHERE     
           INSERTED.CDCLIENTE = DELETED.CDCLIENTE AND
           INSERTED.CDFILIAL  = DELETED.CDFILIAL

     UNION ALL

     SELECT
     'I'   IDCOMANDO,
           INSERTED.CDCLIENTE,
           INSERTED.CDFILIAL,
           INSERTED.IDCLIENPRIN,
           INSERTED.IDUTILADIANT,
           INSERTED.VRPERATDESP,
           INSERTED.DTULTATUCLIF,
           INSERTED.CDPERIENTR,
           INSERTED.IDUTCONTCLPR,
           INSERTED.IDPERIODFATC,
           INSERTED.CDGRUPOFISC,
           INSERTED.DSTIPFATURCLIE,
           INSERTED.CDTIPFATURCLIE,
           INSERTED.DTVENCFORMCLIE,
           INSERTED.IDUTGPFISCSV,
           INSERTED.CDTABEPREC,
           INSERTED.CDCFILTABPRE,
           INSERTED.IDPERMVENDAFOS,
           INSERTED.IDCOREFECLIFILI,
           INSERTED.IDCONSMINEFECLI,
           INSERTED.DSEMAILDANFEBOL,         
           NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,NULL
     FROM
           INSERTED
     WHERE     
           INSERTED.CDCLIENTE + INSERTED.CDFILIAL  NOT IN (SELECT CDCLIENTE + CDFILIAL FROM DELETED)

     OPEN C_CURSOR;
     FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
			           @V_NEW_CDCLIENTE,@V_NEW_CDFILIAL,@V_NEW_IDCLIENPRIN,@V_NEW_IDUTILADIANT,
			           @V_NEW_VRPERATDESP,@V_NEW_DTULTATUCLIF,@V_NEW_CDPERIENTR,@V_NEW_IDUTCONTCLPR,
			           @V_NEW_IDPERIODFATC,@V_NEW_CDGRUPOFISC,@V_NEW_DSTIPFATURCLIE,@V_NEW_CDTIPFATURCLIE,
			           @V_NEW_DTVENCFORMCLIE,@V_NEW_IDUTGPFISCSV,@V_NEW_CDTABEPREC,@V_NEW_CDCFILTABPRE,
			           @V_NEW_IDPERMVENDAFOS,@V_NEW_IDCOREFECLIFILI,@V_NEW_IDCONSMINEFECLI, @V_NEW_DSEMAILDANFEBOL,

			           @V_OLD_CDCLIENTE,@V_OLD_CDFILIAL,@V_OLD_IDCLIENPRIN,@V_OLD_IDUTILADIANT,
			           @V_OLD_VRPERATDESP,@V_OLD_DTULTATUCLIF,@V_OLD_CDPERIENTR,@V_OLD_IDUTCONTCLPR,
			           @V_OLD_IDPERIODFATC,@V_OLD_CDGRUPOFISC,@V_OLD_DSTIPFATURCLIE,@V_OLD_CDTIPFATURCLIE,
			           @V_OLD_DTVENCFORMCLIE,@V_OLD_IDUTGPFISCSV,@V_OLD_CDTABEPREC,@V_OLD_CDCFILTABPRE,
			           @V_OLD_IDPERMVENDAFOS,@V_OLD_IDCOREFECLIFILI,@V_OLD_IDCONSMINEFECLI, @V_OLD_DSEMAILDANFEBOL

    WHILE (@@FETCH_STATUS = 0) BEGIN
    
       IF @V_ID_COMANDO= 'U' /*UPDATE*/ BEGIN
		IF ISNULL(@V_NEW_CDFILIAL,'NULL') <> ISNULL(@V_OLD_CDFILIAL,'NULL') BEGIN
			SET @V_DESC  = 'Filial ' + ISNULL(@V_NEW_CDFILIAL,'');
		END;
		IF ISNULL(@V_NEW_CDCLIENTE,'NULL') <> ISNULL(@V_OLD_CDCLIENTE,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Cd Cliente ' + ISNULL(@V_NEW_CDCLIENTE,'');
		END;
		IF ISNULL(@V_NEW_IDCLIENPRIN,'NULL') <> ISNULL(@V_OLD_IDCLIENPRIN,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Id Cliente Principal ' + ISNULL(@V_NEW_IDCLIENPRIN,'');
		END;
		IF ISNULL(@V_NEW_IDUTILADIANT,'NULL') <> ISNULL(@V_OLD_IDUTILADIANT,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Id Uti adiantamento ' + ISNULL(@V_NEW_IDUTILADIANT,'');
		END;
		IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPERATDESP),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPERATDESP),'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Tx Desp por Cliente ' + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPERATDESP),'');
		END;
		IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUCLIF),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTULTATUCLIF),'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Dt Ult Atu registro ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUCLIF),'');
		END;
		IF ISNULL(@V_NEW_CDPERIENTR,'NULL') <> ISNULL(@V_OLD_CDPERIENTR,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  CDPERIENTR ' + ISNULL(@V_NEW_CDPERIENTR,'');
		END;
		IF ISNULL(@V_NEW_IDUTCONTCLPR,'NULL') <> ISNULL(@V_OLD_IDUTCONTCLPR,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Id Contrato Cli ' + ISNULL(@V_NEW_IDUTCONTCLPR,'');
		END;
		IF ISNULL(@V_NEW_IDPERIODFATC,'NULL') <> ISNULL(@V_OLD_IDPERIODFATC,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Id Per Faturamento ' + ISNULL(@V_NEW_IDPERIODFATC,'');
		END;
		IF ISNULL(@V_NEW_CDGRUPOFISC,'NULL') <> ISNULL(@V_OLD_CDGRUPOFISC,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  CDGRUPOFISC ' + ISNULL(@V_NEW_CDGRUPOFISC,'');
		END;
		IF ISNULL(@V_NEW_DSTIPFATURCLIE,'NULL') <> ISNULL(@V_OLD_DSTIPFATURCLIE,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Tp Fat Cli na Filial ' + ISNULL(@V_NEW_DSTIPFATURCLIE,'');
		END;
		IF ISNULL(@V_NEW_CDTIPFATURCLIE,'NULL') <> ISNULL(@V_OLD_CDTIPFATURCLIE,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Cd Tp Fat Cli na Filial ' + ISNULL(@V_NEW_CDTIPFATURCLIE,'');
		END;
		IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTVENCFORMCLIE),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTVENCFORMCLIE),'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Dt Venc ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTVENCFORMCLIE),'');
		END;
		IF ISNULL(@V_NEW_IDUTGPFISCSV,'NULL') <> ISNULL(@V_OLD_IDUTGPFISCSV,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Id Grupo Fiscal Serv ' + ISNULL(@V_NEW_IDUTGPFISCSV,'');
		END;
		IF ISNULL(@V_NEW_CDTABEPREC,'NULL') <> ISNULL(@V_OLD_CDTABEPREC,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  CDTABEPREC ' + ISNULL(@V_NEW_CDTABEPREC,'');
		END;
		IF ISNULL(@V_NEW_CDCFILTABPRE,'NULL') <> ISNULL(@V_OLD_CDCFILTABPRE,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  CDCFILTABPRE ' + ISNULL(@V_NEW_CDCFILTABPRE,'');
		END;
		IF ISNULL(@V_NEW_IDPERMVENDAFOS,'NULL') <> ISNULL(@V_OLD_IDPERMVENDAFOS,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  IDPERMVENDAFOS ' + ISNULL(@V_NEW_IDPERMVENDAFOS,'');
		END;		
		IF ISNULL(@V_NEW_IDCOREFECLIFILI,'NULL') <> ISNULL(@V_OLD_IDCOREFECLIFILI,'NULL') BEGIN
			SET @V_DESC  = ISNULL(@V_DESC,'') + '  IDCOREFECLIFILI ' + ISNULL(@V_NEW_IDCOREFECLIFILI,'');
		END;
		IF ISNULL(@V_NEW_IDCONSMINEFECLI,'NULL') <> ISNULL(@V_OLD_IDCONSMINEFECLI,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  IDCONSMINEFECLI ' + ISNULL(@V_NEW_IDCONSMINEFECLI,'');
		END;
      IF ISNULL(@V_NEW_DSEMAILDANFEBOL,'NULL') <> ISNULL(@V_OLD_DSEMAILDANFEBOL,'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  DSEMAILDANFEBOL ' + ISNULL(@V_NEW_DSEMAILDANFEBOL,'');
		END;
      
		SET @V_IDTIPOOPER = '2';
       END;
       IF @V_ID_COMANDO= 'I' /*INSERO*/ BEGIN
          SET @V_DESC  = 'Filial '                + ISNULL(@V_NEW_CDFILIAL,''    )	   +  ' '  + 
                  'Cd Cliente  '           + ISNULL(@V_NEW_CDCLIENTE,''  )       +  ' '  + 
                  'Id Cliente Principal  ' + ISNULL(@V_NEW_IDCLIENPRIN,'' )      +  ' '  +  
                  'Id Uti adiantamento '   + ISNULL(@V_NEW_IDUTILADIANT,'' )     +  ' '  + 
                  'Tx Desp por Cliente '   + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPERATDESP),'' )     +  ' '  + 
                  'Dt Ult Atu registro'    + ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUCLIF),'' )     +  ' '  + 
                  'CDPERIENTR '            + ISNULL(@V_NEW_CDPERIENTR,'' )       +  ' '  + 
                  'Id Contrato Cli '       + ISNULL(@V_NEW_IDUTCONTCLPR,'' )     +  ' '  + 
                  'Id Per Faturamento '    + ISNULL(@V_NEW_IDPERIODFATC,'' )     +  ' '  + 
                  'CDGRUPOFISC '           + ISNULL(@V_NEW_CDGRUPOFISC,'' )      +  ' '  + 
                  'Tp Fat Cli na Filial'   + ISNULL(@V_NEW_DSTIPFATURCLIE,'' )   +  ' '  + 
                  'Cd Tp Fat Cli na Filial'+ ISNULL(@V_NEW_CDTIPFATURCLIE,'' )   +  ' '  + 
                  'Dt Venc '               + ISNULL(CONVERT(VARCHAR,@V_NEW_DTVENCFORMCLIE),'' )   +  ' '  + 
                  'Id Grupo Fiscal Serv'   + ISNULL(@V_NEW_IDUTGPFISCSV,'' )     +  ' '  + 
                  'CDTABEPREC '            + ISNULL(@V_NEW_CDTABEPREC,'' )       +  ' '  + 
                  'CDCFILTABPRE '          + ISNULL(@V_NEW_CDCFILTABPRE,'' )     +  ' '  + 
                  'IDPERMVENDAFOS '        + ISNULL(@V_NEW_IDPERMVENDAFOS,'' )   +  ' '  + 
				      'IDCOREFECLIFILI '       + ISNULL(@V_NEW_IDCOREFECLIFILI,'' )  +  ' '  +
                  'IDCONSMINEFECLI '       + ISNULL(@V_NEW_IDCONSMINEFECLI,'' )  +  ' '  +
                  'DSEMAILDANFEBOL '       + ISNULL(@V_NEW_DSEMAILDANFEBOL,'');

          SET @V_IDTIPOOPER = '1';
       END;
       IF @V_ID_COMANDO= 'D' /*DELEO*/  BEGIN
          SET @V_DESC  = 'Filial '                + ISNULL(@V_OLD_CDFILIAL,''    )    +  ' '  + 
                  'Cd Cliente  '           + ISNULL(@V_OLD_CDCLIENTE,''  )       +  ' '  + 
                  'Id Cliente Principal  ' + ISNULL(@V_OLD_IDCLIENPRIN,'' )      +  ' '  +  
                  'Id Uti adiantamento '   + ISNULL(@V_OLD_IDUTILADIANT,'' )     +  ' '  + 
                  'Tx Desp por Cliente '   + ISNULL(CONVERT(VARCHAR,@V_OLD_VRPERATDESP),'' )     +  ' '  + 
                  'Dt Ult Atu registro'    + ISNULL(CONVERT(VARCHAR,@V_OLD_DTULTATUCLIF),'' )     +  ' '  + 
                  'CDPERIENTR '            + ISNULL(@V_OLD_CDPERIENTR,'' )       +  ' '  + 
                  'Id Contrato Cli '       + ISNULL(@V_OLD_IDUTCONTCLPR,'' )     +  ' '  + 
                  'Id Per Faturamento '    + ISNULL(@V_OLD_IDPERIODFATC,'' )     +  ' '  + 
                  'CDGRUPOFISC '           + ISNULL(@V_OLD_CDGRUPOFISC,'' )      +  ' '  + 
                  'Tp Fat Cli na Filial'   + ISNULL(@V_OLD_DSTIPFATURCLIE,'' )   +  ' '  + 
                  'Cd Tp Fat Cli na Filial'+ ISNULL(@V_OLD_CDTIPFATURCLIE,'' )   +  ' '  + 
                  'Dt Venc '               + ISNULL(CONVERT(VARCHAR,@V_OLD_DTVENCFORMCLIE),'' )   +  ' '  + 
                  'Id Grupo Fiscal Serv'   + ISNULL(@V_OLD_IDUTGPFISCSV,'' )     +  ' '  + 
                  'CDTABEPREC '            + ISNULL(@V_OLD_CDTABEPREC,'' )       +  ' '  + 
                  'CDCFILTABPRE '          + ISNULL(@V_OLD_CDCFILTABPRE,'' )     +  ' '  + 
                  'IDPERMVENDAFOS '        + ISNULL(@V_OLD_IDPERMVENDAFOS,'' )   +  ' '  +  
				      'IDCOREFECLIFILI '       + ISNULL(@V_OLD_IDCOREFECLIFILI,'' )  +  ' '  +
                  'IDCONSMINEFECLI '       + ISNULL(@V_OLD_IDCONSMINEFECLI,'' )  +  ' '  +
                  'DSEMAILDANFEBOL '       + ISNULL(@V_OLD_DSEMAILDANFEBOL,'');

          SET @V_IDTIPOOPER = '3';
       END;
       IF  (@V_IDTIPOOPER <> '') BEGIN
          IF @V_DESC IS NOT NULL BEGIN
             SET @V_ITPESQ =  ISNULL( @V_NEW_CDCLIENTE + @V_NEW_CDFILIAL , @V_OLD_CDCLIENTE + @V_OLD_CDFILIAL );
             SET @V_DESC = SUBSTRING(@V_DESC, 1, 300);
             INSERT INTO LOGOPERAVND
                    (NMTABELAVND, DTOPERACAOVND, NMRESPOPERVND, IDTIPOOPERVND, DSOPERACAOVND,
                     CDPESQITEMVND, DSRDMUSUOPERVND, DSENDUSUOPERVND, DSNMUSUOPERVND, DSMETUSUOPERVND,
                     CDORESPOPERVND, CDFILLOGOPERVND)
             VALUES ('CLIENFILIAL',GETDATE(), ISNULL(@V_NMOPERADOR,' '), @V_IDTIPOOPER, @V_DESC, @V_ITPESQ,
                     @V_DSSERVERRDM, @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVMETHOD, @V_DSREMOTEOPER,
                     ISNULL(@V_NEW_CDFILIAL,@V_OLD_CDFILIAL));
          END;
       END;
       FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
			             @V_NEW_CDCLIENTE,@V_NEW_CDFILIAL,@V_NEW_IDCLIENPRIN,@V_NEW_IDUTILADIANT,
			             @V_NEW_VRPERATDESP,@V_NEW_DTULTATUCLIF,@V_NEW_CDPERIENTR,@V_NEW_IDUTCONTCLPR,
			             @V_NEW_IDPERIODFATC,@V_NEW_CDGRUPOFISC,@V_NEW_DSTIPFATURCLIE,@V_NEW_CDTIPFATURCLIE,
			             @V_NEW_DTVENCFORMCLIE,@V_NEW_IDUTGPFISCSV,@V_NEW_CDTABEPREC,@V_NEW_CDCFILTABPRE,
			             @V_NEW_IDPERMVENDAFOS,@V_NEW_IDCOREFECLIFILI,@V_NEW_IDCONSMINEFECLI, @V_NEW_DSEMAILDANFEBOL,

			             @V_OLD_CDCLIENTE,@V_OLD_CDFILIAL,@V_OLD_IDCLIENPRIN,@V_OLD_IDUTILADIANT,
			             @V_OLD_VRPERATDESP,@V_OLD_DTULTATUCLIF,@V_OLD_CDPERIENTR,@V_OLD_IDUTCONTCLPR,
			             @V_OLD_IDPERIODFATC,@V_OLD_CDGRUPOFISC,@V_OLD_DSTIPFATURCLIE,@V_OLD_CDTIPFATURCLIE,
			             @V_OLD_DTVENCFORMCLIE,@V_OLD_IDUTGPFISCSV,@V_OLD_CDTABEPREC,@V_OLD_CDCFILTABPRE,
			             @V_OLD_IDPERMVENDAFOS,@V_OLD_IDCOREFECLIFILI,@V_OLD_IDCONSMINEFECLI, @V_OLD_DSEMAILDANFEBOL
    SET @V_DESC   = '';
    END;
    CLOSE      C_CURSOR;
    DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_VND_CLIENFILIAL','5.60.xxx';
GO 