var Est91000_ProgramacaoDoInventarioCego_Services = function(General, Lib00206_InfComplProduto_Controller, ZHPromise, EstUtil, Est91000_ProgramacaoDoInventarioCego_Repository) {

    this.getFilialLogada = function() {
        const filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
	    ];
        return General.callRestEngine('est#/crud/filial', 'FilterData', filter);
    };

    this.getComplementaryProductInformation = function(widget) {
        const promise = ZHPromise.defer();
        if (widget.currentRow.CDARVPROD) {
            widget.promise = promise;
            Lib00206_InfComplProduto_Controller.infComplementares(widget, widget.currentRow);
        }
        else {
            promise.reject();
        }
        return promise;
    };

    this.setGenerationDateandOperator = function(widget) {
        widget.dataSource.data.forEach(inventory => {
            inventory.DTGERACAOINVEST = inventory.DTGERACAOINVEST.substr(0, 10) + " - " + inventory.CDOPERADOR;
        });
    };

    this.saveProducts = function(row) {

        row.NRLOTEESTQ = row.NRLOTEESTQ && row.NRLOTEESTQ !== '' ? row.NRLOTEESTQ : ' ';
        row.NRSUBLOTE = row.NRSUBLOTE && row.NRSUBLOTE !== '' ? row.NRSUBLOTE : ' ';
        row.CDFILIAL = row.CDFILIAL == row.CDFILIMOVI ? row.CDFILIAL : row.CDFILIMOVI;

        return Est91000_ProgramacaoDoInventarioCego_Repository.saveProducts(row);
    };

    // Gets data about unit params and set it in filter currentRow
    this.getParamFilialData = function() {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": ""
            }
	    ];
        filter[0].value = EstUtil.getFieldValue('CDFILIAL', 'inventoryGrid', false);

        return General.callRestEngine('est_ajuste#/crud/paramfilial', 'FilterData', filter);
    };

    this.checkInventoryHandler = function(cdFilial, dtContagem, firstTest = true) {
        const row = {
            "CDFILIAL": cdFilial,
            "DTCONTAGEM": dtContagem,
            "FIRSTTEST": firstTest
        };

        return Est91000_ProgramacaoDoInventarioCego_Repository.checkInventoryHandler(row);
    };

    this.onGenerateInventory = function(row, filiais) {
        row.CDFILIAL = filiais;
        return Est91000_ProgramacaoDoInventarioCego_Repository.onGenerateInventory(row);
    };

    this.onDeleteInventory = function(dataSet) {
        return Est91000_ProgramacaoDoInventarioCego_Repository.onDeleteInventory(dataSet);
    };

    this.getDate = function(dateString) {
        let string = dateString.replaceAll('/', '').replaceAll(' ', '').replaceAll(':', '');
        return new Date(moment(string, "DDMMYYYYHHmmss").format('MM/DD/YYYY HH:mm:ss'));
    };

};
Configuration(function(ContextRegister) {
    ContextRegister.register('Est91000_ProgramacaoDoInventarioCego_Services', Est91000_ProgramacaoDoInventarioCego_Services);
});
